(define-module (ordo)
  #:declarative? #f
  #:use-module (ice-9 match)
  #:use-module (ordo playbook)
  #:use-module (ordo play)
  #:use-module (ordo task)
  #:use-module (ordo handler)
  #:use-module (ordo connection)
  #:use-module (ordo inventory)
  #:use-module (ordo vars)
  #:use-module (ordo logger)
  #:export (main)
  #:re-export (add-host! local-connection ssh-connection run playbook play task handler $))

(define (main args)
  (match-let (((_ inventory-path playbook-path) args))
    (setup-logging #:level 'DEBUG)
    (init-command-line-vars! '())
    (load inventory-path)
    (let ((playbook (load playbook-path)))
      (run-playbook playbook)))
  (quit))
